org.gcube.dataanalysis.dataminer.poolmanager.ansible.model

## Class Role

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansible.model.Role

    public class Role
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Role()`
`Role(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addMeta(RoleFile tf)`
`void` `addTaskFile(RoleFile tf)`
`Collection<RoleFile>` `getMeta()`
`String` `getName()`
`Collection<RoleFile>` `getTaskFiles()`
`void` `setName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Role

    public Role()

#### Role

    public Role(String name)

### Method Detail

#### addTaskFile

    public void addTaskFile(RoleFile tf)

#### addMeta

    public void addMeta(RoleFile tf)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getTaskFiles

    public Collection<RoleFile> getTaskFiles()

#### getMeta

    public Collection<RoleFile> getMeta()